Delete Classifier
DELETEhttps://api.confident-ai.com/v2/classifiers/{classifierId}
Permanently deletes a classifier and all of its labels, and returns its id. Classifications already applied to traces or threads are not removed. This action cannot be undone. Requires the Starter plan or above.
curl -X DELETE "https://api.confident-ai.com/v2/classifiers/{classifierId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "<CLASSIFIER-ID>"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
classifierIdstringRequiredThe id of the classifier.
Response
Delete Classifier succeeded.
successbooleanIndicates if the request was successful.
dataobjectA reference to a classifier by its id.
Show 1 propertyHide 1 property
idstringThe id of the classifier, generated by Confident AI.
deprecatedbooleanIndicates if this endpoint is deprecated.